hpct-trigger(1)

NAME
hpct-trigger - High-Performance Connectivity Tracer (HiPerConTracer) Trigger Tool

SYNOPSIS
hpct-trigger [--triggerpingage seconds]
[--triggerpingpacketsize payload_length]
[--triggerpingsbeforequeuing count]
[-P | --ping]
[-T | --traceroute] [-L level | --loglevel level] [-Z on|off | --logcolor on|off] [-O file | --logfile file]
[-q | --quiet] [-w | --verbose]
[-U user|uid | --user user|uid]
[-# identifier | --measurement-id identifier]
[-S address|hostname[,traffic_class[,...]] | --source address|hostname[,traffic_class[,...]]]
[-D address|hostname | --destination address|hostname]
[--sources-from-file file]
[--destinations-from-file file]
[-M ICMP|UDP | --iomodule ICMP|UDP]
[-I number_of_iterations | --iterations number_of_iterations]
[--tracerouteinterval milliseconds]
[--tracerouteintervaldeviation fraction]
[--tracerouteduration milliseconds]
[--tracerouterounds rounds]
[--tracerouteinitialmaxttl value]
[--traceroutefinalmaxttl value]
[--tracerouteincrementmaxttl value]
[--traceroutepacketsize bytes]
[--tracerouteudpsourceport port]
[--tracerouteudpdestinationport port]
[--pinginterval milliseconds]
[--pingintervaldeviation fraction]
[--pingexpiration milliseconds]
[--pingburst packets]
[--pingttl value]
[--pingpacketsize bytes]
[--pingudpsourceport port]
[--pingudpdestinationport port]
[-R directory | --resultsdirectory directory]
[-x seconds | --resultstransactionlength seconds]
[-C none|XZ|BZip2|GZip|ZLIB|ZSTD | --resultscompression none|XZ|BZip2|GZip|ZLIB|ZSTD]
[-F version | --resultsformat version]
[-z depth | --resultstimestampdepth depth]
hipercontracer [--check]
hipercontracer [-h | --help]
hipercontracer [-v | --version]

DESCRIPTION
hpct-trigger is a tool to trigger HiPerConTracer measurement, based on observed incoming ICMP Ping packets. Once the given number of such packets with a given size has been observed from a source, a Ping or Traceroute is triggered to the corresponding remote address.

ARGUMENTS
The following arguments may be provided:

--triggerpingage seconds
    Sets the maximum number of seconds between two trigger "Pings" (default: 300).

--triggerpingpacketsize payload_length
    Sets the "Ping" total length (IP header + ICMP header + HiPerConTracer header) to trigger a HiPerConTracer measurement (default: 67).

--triggerpingsbeforequeuing count
    Sets the number of observed "Ping" packets before triggering HiPerConTracer (default: 3).
See the manual page of HiPerConTracer for the other arguments and the output format.

EXIT STATUS
The hpct-trigger tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

hpct-trigger --source 10.1.1.51 --traceroute --verbose --triggerpingsbeforequeuing 2 --triggerpingpacketsize 88

hpct-trigger --source 10.1.1.51 --triggerpingage 1800 --ping --verbose

hpct-trigger --source=10.1.1.51 --traceroute --resultsdirectory=/tmp/results --resultstransactionlength=60 --resultstimestampdepth 3

hpct-trigger --source=172.16.1.2,BE,EF --source=172.17.1.2,BE,AF11,AF21 --triggerpingage=1800 --ping --verbose

hpct-trigger --source 10.1.1.51 --triggerpingage 1800 --ping --traceroute --iomodule ICMP --iomodule UDP

hipercontracer -S 0.0.0.0 -S :: -D <TARGET> --ping --pingpacketsize 67 --iterations 3 --verbose

hipercontracer -S 0.0.0.0 -S :: -D <TARGET> -P --pingpacketsize 88 -I 3 -v

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh